using System;
using System.Linq;

namespace Palindrom_safl
{
    class Program
    {
        public static bool Palin(string t)
        {
            string prvi = t.Substring(0, t.Length / 2);
            char[] t1 = t.ToCharArray();
            Array.Reverse(t1);
            string temp = new string(t1);
            string drugi = temp.Substring(0, temp.Length / 2);
            return prvi.Equals(drugi);
        }
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            char[] a = t.ToCharArray();
            int c = 0;
            if (Palin(t)==true)
            {
                Console.Write("1");
            } else
            {
                for (int i = 0; i < a.Length / 2; i++)
                {
                    int levo = i;
                    int desno = (a.Length - 1) - levo;
                    while (levo < desno)
                    {
                        if (a[levo] == a[desno])
                        {
                            break;
                        }
                        else
                        {
                            desno--;
                        }
                    }
                    if (levo == desno)
                    {
                    } else
                    {
                        for (int j = desno; j < (a.Length - 1) - levo; j++)
                        {
                            char temp = a[j];
                            a[j] = a[j + 1];
                            a[j + 1] = temp;
                            c++;
                        }
                    }
                }
                Console.Write("{0}", c);
            }
        }
    }
}